<nav class="navbar navbar-expand-md navbar-dark bg-dark">
  <a class="navbar-brand" href="#">Delivery Management</a>
  <ul *ngIf="!loggedIn" class="navbar-nav ml-auto">
    <li class="nav-item">
      <a class="nav-link" data-toggle="modal" data-target="#myModal">JIRA</a>
    </li>
  </ul>
  <ul *ngIf="user" class="navbar-nav ml-auto info">
    <li class="text-white">{{ user.email }}</li>
    <li class="text-white">Sign out</li>
  </ul>
</nav>

<div class="modal" id="myModal">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Log in to your account</h4>
        <button type="button" class="close" data-dismiss="modal">
          &times;
        </button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
        <form #loginForm="ngForm" (ngSubmit)="onSubmit()">
          <div class="form-group row">
            <label for="url" class="col-md-3 col-form-label">JIRA URL:</label>
            <input
              type="url"
              class="form-control col-md-9"
              [(ngModel)]="defaultURL"
              name="url"
              id="url"
              #url="ngModel"
              pattern="^(http:\/\/www\.|https:\/\/www\.|http:\/\/|https:\/\/)?[a-z0-9]+([\-\.]{1}[a-z0-9]+)*\.[a-z]{2,5}(:[0-9]{1,5})?(\/.*)?$"
              required
            />
          </div>
          <div
            *ngIf="url.invalid && (url.dirty || url.touched)"
            class="warning-invalid"
          >
            <div *ngIf="url.errors.required" class="text-danger">
              This field is required!
            </div>
            <div *ngIf="url.errors.pattern" class="text-danger">
              URL invalid
            </div>
          </div>
          <div class="text-center">
            <button
              type="submit"
              class="btn btn-primary"
              (click)="loginWithGoogle()"
              [class.disabled]="!loginForm.form.valid"
              [disabled]="!loginForm.form.valid"
            >
              <span><i class="fab fa-google"></i></span>
              Sign in with Google
            </button>
          </div>
        </form>
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">
          Close
        </button>
      </div>
    </div>
  </div>
</div>

<app-issues></app-issues>
